Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am using Debian 7.1 (wheezy) with mailman and since a few days, the mailman web-interface does not work any more.

The error logged is:

Jul 24 18:34:32 2013 admin(32166): @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
admin(32166): [----- Mailman Version: 2.1.15 -----]
admin(32166): [----- Traceback ------]
admin(32166): Traceback (most recent call last):
admin(32166):   File "/var/lib/mailman/scripts/driver", line 106, in run_main
admin(32166):     if not request_method.lower() in ['get', 'post', 'head']:
admin(32166): AttributeError: 'NoneType' object has no attribute 'lower'
admin(32166): [----- Python Information -----]
admin(32166): sys.version     =   2.7.3 (default, Jan  2 2013, 13:56:14)
[GCC 4.7.2]
admin(32166): sys.executable  =   /usr/bin/python
admin(32166): sys.prefix      =   /usr
admin(32166): sys.exec_prefix =   /usr
admin(32166): sys.path        =   ['/var/lib/mailman/pythonlib', '/var/lib/mailman', '/usr/lib/mailman/scripts', '/var/lib/mailman', '/usr/lib/python2.7/', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old', '/usr/lib/python2.7/lib-dynload', '/usr/lib/python2.7/site-packages']
admin(32166): sys.platform    =   linux2

Does anybody has an idea how to solve it?

Thanks in advance for any help!!

Thomas

share|improve this question
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.